%{?mingw_package_header}

Name:      mingw-gettext
Version:   0.22
Release:   %mkrel 1
Summary:   GNU libraries and utilities for producing multi-lingual messages

License:   GPLv2+ and LGPLv2+
Group:     Development/Other
URL:       https://www.gnu.org/software/gettext/
Source0:   https://ftp.gnu.org/pub/gnu/gettext/gettext-%{version}.tar.xz

BuildArch: noarch

BuildRequires: make
BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw32-binutils
BuildRequires: mingw32-win-iconv
BuildRequires: mingw32-termcap

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc
BuildRequires: mingw64-gcc-c++
BuildRequires: mingw64-binutils
BuildRequires: mingw64-win-iconv
BuildRequires: mingw64-termcap

# Possible extra BRs.  These are used if available, but
# not required just for building.
#BuildRequires: mingw32-dlfcn
#BuildRequires: mingw32-libxml2
#BuildRequires: mingw32-expat
#BuildRequires: mingw32-glib2


%description
MinGW Windows Gettext library.


# Win32
%package -n mingw32-gettext
Summary:         GNU libraries and utilities for producing multi-lingual messages

%description -n mingw32-gettext
MinGW Windows Gettext library.

%package -n mingw32-gettext-static
Summary:        Static version of the MinGW Windows Gettext library
Requires:       mingw32-gettext = %{version}-%{release}
Group:          Development/Other

%description -n mingw32-gettext-static
Static version of the MinGW Windows Gettext library.

# Win64
%package -n mingw64-gettext
Summary:         GNU libraries and utilities for producing multi-lingual messages

%description -n mingw64-gettext
MinGW Windows Gettext library.

%package -n mingw64-gettext-static
Summary:        Static version of the MinGW Windows Gettext library
Requires:       mingw64-gettext = %{version}-%{release}
Group:          Development/Other

%description -n mingw64-gettext-static
Static version of the MinGW Windows Gettext library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n gettext-%{version}


%build
%mingw_configure            \
    --disable-java          \
    --disable-native-java   \
    --disable-csharp        \
    --enable-static         \
    --enable-threads=win32  \
    --without-emacs         \
    --disable-openmp
%mingw_make_build


%install
%mingw_make_install

rm -f %{buildroot}%{mingw32_datadir}/locale/locale.alias
rm -f %{buildroot}%{mingw32_libdir}/charset.alias

rm -f %{buildroot}%{mingw64_datadir}/locale/locale.alias
rm -f %{buildroot}%{mingw64_libdir}/charset.alias

# Remove documentation - already available in base gettext-devel.
rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw32_docdir}
rm -rf %{buildroot}%{mingw32_infodir}

rm -rf %{buildroot}%{mingw64_mandir}
rm -rf %{buildroot}%{mingw64_docdir}
rm -rf %{buildroot}%{mingw64_infodir}

# Drop some useless tools
rm -rf %{buildroot}%{mingw32_libdir}/gettext
rm -rf %{buildroot}%{mingw64_libdir}/gettext

# Drop all .la files
find %{buildroot} -name "*.la" -delete

%mingw_find_lang %{name} --all-name


# Win32
%files -n mingw32-gettext -f mingw32-%{name}.lang
%license COPYING
%{mingw32_bindir}/autopoint
%{mingw32_bindir}/envsubst.exe
%{mingw32_bindir}/gettext.exe
%{mingw32_bindir}/gettext.sh
%{mingw32_bindir}/gettextize
%{mingw32_bindir}/libasprintf-0.dll
%{mingw32_bindir}/libgettextlib-0-22.dll
%{mingw32_bindir}/libgettextpo-0.dll
%{mingw32_bindir}/libgettextsrc-0-22.dll
%{mingw32_bindir}/libintl-8.dll
%{mingw32_bindir}/libtextstyle-0.dll
%{mingw32_bindir}/msg*.exe
%{mingw32_bindir}/ngettext.exe
%{mingw32_bindir}/recode-sr-latin.exe
%{mingw32_bindir}/xgettext.exe
%{mingw32_includedir}/autosprintf.h
%{mingw32_includedir}/gettext-po.h
%{mingw32_includedir}/libintl.h
%{mingw32_includedir}/textstyle.h
%{mingw32_includedir}/textstyle/stdbool.h
%{mingw32_includedir}/textstyle/version.h
%{mingw32_includedir}/textstyle/woe32dll.h
%{mingw32_libdir}/libasprintf.dll.a
%{mingw32_libdir}/libgettextlib.dll.a
%{mingw32_libdir}/libgettextpo.dll.a
%{mingw32_libdir}/libgettextsrc.dll.a
%{mingw32_libdir}/libintl.dll.a
%{mingw32_libdir}/libtextstyle.dll.a
%{mingw32_datadir}/gettext/
%{mingw32_datadir}/gettext-%{version}/
%{mingw32_datadir}/aclocal/*m4

%files -n mingw32-gettext-static
%{mingw32_libdir}/libasprintf.a
%{mingw32_libdir}/libgettextpo.a
%{mingw32_libdir}/libintl.a
%{mingw32_libdir}/libtextstyle.a

# Win64
%files -n mingw64-gettext -f mingw64-%{name}.lang
%license COPYING
%{mingw64_bindir}/autopoint
%{mingw64_bindir}/envsubst.exe
%{mingw64_bindir}/gettext.exe
%{mingw64_bindir}/gettext.sh
%{mingw64_bindir}/gettextize
%{mingw64_bindir}/libasprintf-0.dll
%{mingw64_bindir}/libgettextlib-0-22.dll
%{mingw64_bindir}/libgettextpo-0.dll
%{mingw64_bindir}/libgettextsrc-0-22.dll
%{mingw64_bindir}/libintl-8.dll
%{mingw64_bindir}/libtextstyle-0.dll
%{mingw64_bindir}/msg*.exe
%{mingw64_bindir}/ngettext.exe
%{mingw64_bindir}/recode-sr-latin.exe
%{mingw64_bindir}/xgettext.exe
%{mingw64_includedir}/autosprintf.h
%{mingw64_includedir}/gettext-po.h
%{mingw64_includedir}/libintl.h
%{mingw64_includedir}/textstyle.h
%{mingw64_includedir}/textstyle/stdbool.h
%{mingw64_includedir}/textstyle/version.h
%{mingw64_includedir}/textstyle/woe32dll.h
%{mingw64_libdir}/libasprintf.dll.a
%{mingw64_libdir}/libgettextlib.dll.a
%{mingw64_libdir}/libgettextpo.dll.a
%{mingw64_libdir}/libgettextsrc.dll.a
%{mingw64_libdir}/libintl.dll.a
%{mingw64_libdir}/libtextstyle.dll.a
%{mingw64_datadir}/gettext/
%{mingw64_datadir}/gettext-%{version}/
%{mingw64_datadir}/aclocal/*m4

%files -n mingw64-gettext-static
%{mingw64_libdir}/libasprintf.a
%{mingw64_libdir}/libgettextpo.a
%{mingw64_libdir}/libintl.a
%{mingw64_libdir}/libtextstyle.a




%changelog
* Wed Sep 27 2023 tv <tv> 0.22-1.mga10
+ Revision: 1991581
- Update to 0.22

* Thu Oct 20 2022 tv <tv> 0.21.1-4.mga9
+ Revision: 1897953
- Update to 0.21.1

* Fri Mar 25 2022 umeabot <umeabot> 0.21-4.mga9
+ Revision: 1825700
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 tv <tv> 0.21-3.mga9
+ Revision: 1787156
- Use new macros
- Rebuild for updated mingw stack

* Sat Sep 26 2020 tv <tv> 0.21-2.mga8
+ Revision: 1630236
- rebuild for new mingw stack

* Tue Sep 08 2020 daviddavid <daviddavid> 0.21-1.mga8
+ Revision: 1623635
- new version: 0.21

* Mon Apr 20 2020 daviddavid <daviddavid> 0.20.2-1.mga8
+ Revision: 1570054
- new version: 0.20.2

* Mon Feb 17 2020 umeabot <umeabot> 0.20.1-2.mga8
+ Revision: 1537128
- Mageia 8 Mass Rebuild

* Sat Oct 26 2019 daviddavid <daviddavid> 0.20.1-1.mga8
+ Revision: 1455870
- new version: 0.20.1

* Wed Sep 19 2018 umeabot <umeabot> 0.19.7-2.mga7
+ Revision: 1264274
- Mageia 7 Mass Rebuild

* Wed May 11 2016 tv <tv> 0.19.7-1.mga6
+ Revision: 1012666
- new stable release

* Wed Apr 06 2016 tv <tv> 0.19.4-2.mga6
+ Revision: 998892
- rebuild with new gcc

* Tue Apr 05 2016 tv <tv> 0.19.4-1.mga6
+ Revision: 998650
- new release

* Fri Feb 05 2016 umeabot <umeabot> 0.18.3.1-5.mga6
+ Revision: 939064
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.18.3.1-4.mga5
+ Revision: 740166
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.18.3.1-3.mga5
+ Revision: 682437
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.18.3.1-2.mga4
+ Revision: 536261
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 0.18.3.1-1.mga4
+ Revision: 483625
- imported package mingw-gettext

